#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libatasmart-0.19

- Next

  libblockdev-2.25

- Up
- Home

# libatomic_ops-7.6.10

## Introduction to libatomic_ops

libatomic_ops provides implementations for atomic memory update operations on a number of architectures. This allows direct use of these in reasonably portable code. Unlike earlier similar packages, this one explicitly considers memory barrier semantics, and allows the construction of code that involves minimum overhead across a variety of architectures.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/ivmai/libatomic_ops/releases/download/v7.6.10/libatomic_ops-7.6.10.tar.gz

- Download MD5 sum: 90a78a84d9c28ce11f331c25289bfbd0

- Download size: 492 KB

- Estimated disk space required: 7.0 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libatomic_ops

## Installation of libatomic_ops

Install libatomic_ops by running the following commands:

    ./configure --prefix=/usr    \
                --enable-shared  \
                --disable-static \
                --docdir=/usr/share/doc/libatomic_ops-7.6.10 &&
    make

To check the results, issue make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-shared`: This switch enables building of the `libatomic_ops` shared libraries.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Libraries: libatomic_ops.so and libatomic_ops_gpl.so
Installed Directory: /usr/include/libatomic_ops and /usr/share/doc/libatomic_ops-7.6.10

### Short Descriptions

`libatomic_ops.so` | contains functions for atomic memory operations

Last updated on 2021-02-19 21:30:09 -0800

- Prev

  libatasmart-0.19

- Next

  libblockdev-2.25

- Up
- Home